Allow "style" tag in Redcarpet Markdown formatter

2016-04-08 08:18 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

There are no means of styling text (such as color, font-size, ...) in Markdown formetter.

Please allow "style" tag to let users decorate text.

Related issues:

Related to Redmine - Feature #2416: {background:color} doesn't work in text f... Closed 2008-12-30

Related to Redmine - Defect #37237: Common Markdown Formatter does not render... Closed

History

#1 - 2018-04-26 01:31 - Go MAEDA

- Subject changed from Allow "style" tag to Allow "style" tag in Markdown formatter

#3 - 2018-06-09 02:12 - Go MAEDA

- Related to Feature #2416: {background:color} doesn't work in text formatting added

#4 - 2020-04-25 19:44 - Yuuki NARA

+1

I also want to set the text color on markdown.

There was a related discussion at the URL below.

https://www.redmine.org/boards/2/topics/56096?r=57052

You can fix it with the following modification,

but I am worried about the security risk.

redmine/lib/redmine/wiki_formatting/markdown/formatter.rb

Redmine::WikiFormatting::Markdown::HTML.new(

              :filter_html => false

 Wouldn't it be possible to reduce the risk of security by additionally setting safe_links_only => true ?

Redmine::WikiFormatting::Markdown::HTML.new(

              :filter_html => false,

              :safe_links_only => true

 In my environment, I can do these two settings and use the style tag to set the text color.

redcarpet reference

https://github.com/vmg/redcarpet#darling-i-packed-you-a-couple-renderers-for-lunch

#5 - 2022-09-26 20:16 - Mischa The Evil

- Related to Defect #37237: Common Markdown Formatter does not render all properties on HTML elements added

#6 - 2022-09-26 20:22 - Mischa The Evil

- Subject changed from Allow "style" tag in Markdown formatter to Allow "style" tag in Redcarpet Markdown formatter

#7 - 2022-09-27 00:06 - Mischa The Evil

- Status changed from New to Needs feedback
https://www.redmine.org/boards/2/topics/56096?r=57052
https://github.com/vmg/redcarpet#darling-i-packed-you-a-couple-renderers-for-lunch


@Go MAEDA: I think we can close this issue as "Wont fix" now that the Redcarpet-based Markdown formatter has been superseded by the new

CommonMark Markdown (GitHub Flavored) formatter (#32424) and will be deprecated in 5.1.0 (#36807) and removed in a to-be-determined future

release. Do you agree?

#8 - 2022-09-27 04:32 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Wont fix

Mischa The Evil wrote:

@Go MAEDA: I think we can close this issue as "Wont fix" now that the Redcarpet-based Markdown formatter has been superseded by the new

CommonMark Markdown (GitHub Flavored) formatter (#32424) and will be deprecated in 5.1.0 (#36807) and removed in a to-be-determined

future release. Do you agree?

 Yes, since Redcarpet is going to be removed in the future release and the use of inline styles in CommonMark is discussed in #37237 as you pointed

out, I think it is appropriate to close this issue.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/issues/32424
https://www.redmine.org/versions/176
https://www.redmine.org/issues/36807
https://www.redmine.org/issues/32424
https://www.redmine.org/versions/176
https://www.redmine.org/issues/36807
https://www.redmine.org/issues/37237
http://www.tcpdf.org

